%define           pre 20090409svn3173

Name:             kvirc
Version:          4.0.0
Release:          0.6.%{pre}%{?dist}
Summary:          Free portable IRC client
Group:            Applications/Internet
License:          GPLv2+ with exceptions
URL:              http://kvirc.net/
# The source for this package was pulled from upstream's vcs.
# Use the following commands to generate the tarball:
#  svn export -r 3173 https://svn.kvirc.de/svn/trunk/kvirc
#  tar -cjf kvirc-20090409svn3173.tar.bz2 kvirc
Source0:          %{name}-%{pre}.tar.bz2
Patch0:           kvirc-flags.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    kdelibs4-devel audiofile-devel glib2-devel
BuildRequires:    python-devel perl-ExtUtils-Embed dbus-devel
BuildRequires:    cmake desktop-file-utils gettext doxygen graphviz
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
KVIrc is a free portable IRC client based on the excellent
Qt GUI toolkit. KVirc is being written by Szymon Stefanek
and the KVIrc Development Team with the contribution of
many IRC addicted developers around the world.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{cmake}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/%{name}4.desktop

ln -s ../../%{name}/4.0/license/COPYING COPYING

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc doc/FAQ doc/README COPYING
%{_bindir}/kvirc4
%{_libdir}/libkvilib4.so.4
%{_libdir}/libkvilib4.so.4.0.0
%{_datadir}/applications/kvirc4.desktop
%{_libdir}/%{name}/
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/4.0
%dir %{_datadir}/%{name}/4.0/locale
%{_datadir}/%{name}/4.0/config/
%{_datadir}/%{name}/4.0/defscript/
%{_datadir}/%{name}/4.0/doc/
%{_datadir}/%{name}/4.0/help/
%{_datadir}/%{name}/4.0/modules/
%{_datadir}/%{name}/4.0/msgcolors/
%{_datadir}/%{name}/4.0/pics/
%{_datadir}/%{name}/4.0/themes/
%{_datadir}/%{name}/4.0/license/
%{_datadir}/man/man1/%{name}.1.gz
%{_datadir}/mimelnk/applications/x-kva.desktop
%{_datadir}/mimelnk/applications/x-kvt.desktop
%{_datadir}/mimelnk/text/x-kvc.desktop
%{_datadir}/mimelnk/text/x-kvs.desktop
%{_datadir}/icons/hicolor/*/apps/kvirc.*
%{_datadir}/icons/hicolor/*/mimetypes/kva.*
%{_datadir}/icons/hicolor/*/mimetypes/kvc.*
%{_datadir}/icons/hicolor/*/mimetypes/kvs.*
%{_datadir}/icons/hicolor/*/mimetypes/kvt.*

# Translation files
%lang(bg) %{_datadir}/%{name}/4.0/locale/*_bg.mo
%lang(ca) %{_datadir}/%{name}/4.0/locale/*_ca.mo
%lang(cs) %{_datadir}/%{name}/4.0/locale/*_cs.mo
%lang(de) %{_datadir}/%{name}/4.0/locale/*_de.mo
%lang(es) %{_datadir}/%{name}/4.0/locale/*_es.mo
%lang(fi) %{_datadir}/%{name}/4.0/locale/*_fi.mo
%lang(fr) %{_datadir}/%{name}/4.0/locale/*_fr.mo
%lang(hr) %{_datadir}/%{name}/4.0/locale/*_hr.mo
%lang(hu) %{_datadir}/%{name}/4.0/locale/*_hu.mo
%lang(it) %{_datadir}/%{name}/4.0/locale/*_it.mo
%lang(nl) %{_datadir}/%{name}/4.0/locale/*_nl.mo
%lang(pl) %{_datadir}/%{name}/4.0/locale/*_pl.mo
%lang(pt_BR) %{_datadir}/%{name}/4.0/locale/*_pt_BR.mo
%lang(pt) %{_datadir}/%{name}/4.0/locale/*_pt.mo
%lang(ru) %{_datadir}/%{name}/4.0/locale/*_ru.mo
%lang(sr) %{_datadir}/%{name}/4.0/locale/*_sr.mo
%lang(uk) %{_datadir}/%{name}/4.0/locale/*_uk.mo

%exclude %{_libdir}/libkvilib4.so
%exclude %{_bindir}/kvirc4-config
%exclude %{_datadir}/%{name}/4.0/doc/FAQ
%exclude %{_datadir}/%{name}/4.0/doc/README

%changelog
* Thu Apr  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.6.20090409svn3173
- svn snapshot 3173
- Summary changed to Free portable IRC client

* Mon Apr  6 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.5.20090404svn3172
- patch for using standard compiler flags

* Sun Apr  5 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.4.20090404svn3172
- symlink to COPYING

* Sat Apr  4 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.3.20090404svn3172
- Exclude duplicate files
- svn snapshot 3172
- BR dbus-devel

* Sat Mar 28 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0.0-0.2.20090328svn3168
- Fixed owner of /usr/share/kvirc
- Changed release tag and license field
- Fixed owner of /usr/share/kvirc/4.0 and /usr/share/kvirc/4.0/locale
- caps dir included in package

* Sat Mar 28 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0-0.5.svn3168
- Use update-desktop-database and gtk-update-icon-cache instead of xdg-utils

* Fri Mar 20 2009 Alexey Kurov <nucleo@fedoraproject.org> - 4.0-0.4.svn3151
- Initial RPM release
